<?
session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsHs.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
    $objPer=new clsHs;
	$nid = count($idhospedaje);
	$nidf= count($fechaIngreso);
	$nf=0;
	if ($param==1){ 
			for ($i=0;$i<$nid;$i++){
			$idh = abs($idhospedaje[$i]);
			 if($idh!=0){
				if($fechaEnt[$nf]!=""){
					   $fecha1 = $fechaEnt[$nf];
					   $fecha2 = date("d/m/Y");
					   $fechaI = $fechaIngreso[$i];
					   $dias = CalcularDiasEntreFechas($fecha2,$fecha1);
					   $diasha = CalcularDiasEntreFechas($fechaI,$fecha1);
					   $fechasalida = extraerfechamysql($fechaEnt[$nf]);
					   $codhabita = $idhabita[$i];
					   $hlimite = date("H");
					   $nf++;
					   $objPer->UpdatefechaSalida($idh,$fechasalida);
					   if(($dias==0 && $hlimite > 20) || ($dias<0)){$objPer->UpdateHabitacioLibre($idh,$diasha);
									$objPer->UpdateHabitacion($codhabita);
								   } 
								 }
					}
			}
	  Redirigir("../cvp_hospedaje_staff.php?&ok=3");
     }
	 if ($param==2){ 
			for ($i=0;$i<$nid;$i++){
			$idh = abs($idhospedaje[$i]);
			 if($idh!=0){
				if($fechaEnt[$nf]!=""){
					   $fecha1 = $fechaEnt[$nf];
					   $fecha2 = date("d/m/Y");
					   $fechaI = $fechaIngreso[$i];
					   $dias = CalcularDiasEntreFechas($fecha2,$fecha1);
					   $diasha = CalcularDiasEntreFechas($fechaI,$fecha1);
					   $fechasalida = extraerfechamysql($fechaEnt[$nf]);
					   $codhabita = $idhabita[$i];
					   $hlimite = date("H");
					   $nf++;
					   $objPer->UpdatefechaSalida($idh,$fechasalida);
					   if(($dias==0 && $hlimite > 20) || ($dias<0)){$objPer->UpdateHabitacioLibre($idh,$diasha);
									$objPer->UpdateHabitacion($codhabita);
								   } 
								 }
					}
			}
	  Redirigir("../cvp_hospedaje_staff.php?&codcasa=$var_casa");
     }
	 

	/* $objPer->GrabarEntregaEPP($dni,$codepp,$fechaEnt,$fechaDura,$cant, $var_TENT,$var_lug,$var_perslog,$observ);  
	Redirigir("../cvp_control_epp.php?&param=1"); */
?> 